<?php
  session_start();
  include $_SERVER["DOCUMENT_ROOT"].'/inc/conexao.php';
  include $_SERVER["DOCUMENT_ROOT"].'/inc/functions.php';
  $erros = 0;

  $userid = (int)$_SESSION["usuario_id"];
  $cfg = $_SESSION["configs"];

  // ini_set('display_errors',1);
  // ini_set('display_startup_erros',1);
  // error_reporting(E_ALL);

  // Pega dados do usuario
  $perms = $_SESSION["usuario"]["permissoes"];

  // Verifica type e permissões
  if(!in_array('15', $perms)){
      $_SESSION["msg"] = 'Você não possui permissões suficientes para visualizar o mapa.';
      $_SESSION["tipo_msg"] = 'danger';
      echo '<script type="text/javascript"> history.back("-1"); </script>'; exit;
  }

  $codigo = rand(111111, 999999);
  $id = $mysqli->escape_string(utf8_decode($_GET["registro"]));
  $status = $mysqli->escape_string(utf8_decode($_POST["status"]));
  $esporte = $mysqli->escape_string(utf8_decode($_POST["esporte"]));
  $pais = $mysqli->escape_string(utf8_decode($_POST["pais"]));
  $campeonato = $mysqli->escape_string(utf8_decode($_POST["campeonato"]));
  $timecasa = $mysqli->escape_string(utf8_decode($_POST["timecasa"]));
  $timevisitante = $mysqli->escape_string(utf8_decode($_POST["timevisitante"]));
  $data = $mysqli->escape_string(utf8_decode($_POST["data"]));
  $mercado = $mysqli->escape_string(utf8_decode($_POST["mercado"]));
  $xml = '<bets data="'.date('Y-m-d H:i:s').'">';
  $partida = $timecasa.' x '.$timevisitante;

  $data = explode(' ', $data);
  $dia = explode('/', $data[0]);
  $dia = $dia[2].'-'.$dia[1].'-'.$dia[0];
  $data = $dia.' '.$data[1].':00';

  if($esporte == ''){
      $_SESSION["msg"] = 'Você precisa informar um esporte para a partida!';
      $_SESSION["tipo_msg"] = 'danger';
      echo '<script type="text/javascript"> history.back("-1"); </script>'; exit;
  }

  if($pais == ''){
      $_SESSION["msg"] = 'Você precisa informar um país para a partida!';
      $_SESSION["tipo_msg"] = 'danger';
      echo '<script type="text/javascript"> history.back("-1"); </script>'; exit;
  }

  if($campeonato == ''){
      $_SESSION["msg"] = 'Você precisa informar um campeonato para a partida!';
      $_SESSION["tipo_msg"] = 'danger';
      echo '<script type="text/javascript"> history.back("-1"); </script>'; exit;
  }

  if($timecasa == ''){
      $_SESSION["msg"] = 'Você precisa informar um time da casa para a partida!';
      $_SESSION["tipo_msg"] = 'danger';
      echo '<script type="text/javascript"> history.back("-1"); </script>'; exit;
  }

  if($timevisitante == ''){
      $_SESSION["msg"] = 'Você precisa informar um time visitante para a partida!';
      $_SESSION["tipo_msg"] = 'danger';
      echo '<script type="text/javascript"> history.back("-1"); </script>'; exit;
  }

  if($data == ''){
      $_SESSION["msg"] = 'Você precisa informar um data para a partida!';
      $_SESSION["tipo_msg"] = 'danger';
      echo '<script type="text/javascript"> history.back("-1"); </script>'; exit;
  }

  $oddcasa = 1.01;
  $casa_id = '';
  $oddempate = 1.01;
  $empate_id = '';
  $oddvisitante = 1.01;
  $visitante_id = '';

  $partida_xml = $mysqli->escape_string(($_POST["timecasa"])).' x '.$mysqli->escape_string(($_POST["timevisitante"]));

  $partida_xml = utf8_decode($partida_xml);

  foreach ($_POST["mercado"] as $m => $opcoes) {
    $uniqid = rand(111111111, 999999999);
    $i = 1;
    $m = str_replace("'", "", $m);
    $campeonato = str_replace("'", "", $campeonato);
    $xml .= '<bet id="'.$uniqid.'" name="'.$m.'" name_Partida="'.$partida_xml.'" name_campeonato="'.$campeonato.'">';

    foreach ($opcoes as $nome => $odd) {

      $nome = str_replace("'", "", $nome);
      $odd = str_replace("'", "", $odd);
      $nome = utf8_decode($nome);

      $xml .= '<choice id="'.$uniqid.$i.'" name="'.$nome.'" odd="'.$odd.'"/>';

      // Salva ODD VENCEDOR
      if($m == 'Vencedor'){
        if($nome == 'Casa'){ $oddcasa = $odd; $casa_id = $uniqid.$i; }
        if($nome == 'Empate'){ $oddempate = $odd; $empate_id = $uniqid.$i; }
        if($nome == 'Visitante'){ $oddvisitante = $odd; $visitante_id = $uniqid.$i; }
      }

      $i++;
    }
    $xml .= '</bet>';
  }
  $xml .= '</bets>';

   // Pesquisa se limite já não foi atingido
  $sql = $mysqli->query("SELECT * FROM configs WHERE config_id = '1'");
  $cfg = $sql->fetch_assoc();

  $sql = $mysqli->query("UPDATE jogos SET jogo_esporte = '$esporte', jogo_pais = '$pais', jogo_nome = '$partida', jogo_campeonato = '$campeonato', jogo_data = '$data', jogo_dia = '$dia', jogo_casa = '$oddcasa', jogo_casa_id = '$casa_id', jogo_empate = '$oddempate', jogo_empate_id = '$empate_id', jogo_visitante = '$oddvisitante', jogo_visitante_id = '$visitante_id', jogo_status = '$status', jogo_xml = '$xml' WHERE jogo_id = '$id'");

  if($sql){

    // Sucesso
    $_SESSION["msg"] = 'O jogo foi editado com sucesso!';
    $_SESSION["tipo_msg"] = 'success';
    header("Location: /administracao/jogos-manuais"); exit;

  }
  else {
    $_SESSION["msg"] = 'Falha ao editar partida! O sistema retornou: '.$mysqli->error;
    $_SESSION["tipo_msg"] = 'danger';
    echo '<script type="text/javascript"> history.back("-1"); </script>'; exit;
  }


?>